using System;
using System.ComponentModel;
using System.Management.Automation;

namespace PowerShellRemoting
{
    /// <summary>
    /// PSSnapin for installation and load in Powershell.exe
    /// Developers do not need to use this class
    /// </summary>
    [RunInstaller(true)]
    public class PowerShellRemotingClientSnapin : PSSnapIn
    {
        /// <summary>
        /// Get name of PSSnapin
        /// </summary>
        public override string Name
        {
            get
            {
                return "PowerShellRemotingClient";
            }
        }

        /// <summary>
        /// Get Author of this PSSnapin
        /// </summary>
        public override string Vendor
        {
            get
            {
                return "http://MSHForFun.blogspot.com/";
            }
        }

        /// <summary>
        /// Gets description of the PSSnapIn. 
        /// </summary>
        public override string Description
        {
            get
            {
                return "Helper to load PowerShell Remoting Client";
            }
        }
    }
}
